type-level-0.2.4: Type-level programming library

Portability | non-portable (Template Haskell)
Stability | experimental
Maintainer | alfonso.acosta@gmail.com
Safe Haskell | None

Data.TypeLevel.Num.Aliases.TH

Description

Internal template haskell functions to generate type-level numeral aliases

Synopsis

- genAliases :: Int -> Int -> Int -> Int -> Q [Dec]
- dec2TypeLevel :: Int -> Q Type

# Documentation

genAliases :: Int -> Int -> Int -> Int -> Q [Dec]

dec2TypeLevel :: Int -> Q Type

Generate the type-level decimal representation for a value-level natural number. NOTE: This function could be useful by itself avoiding to generate aliases. However, type-splicing is not yet supported by template haskell.